For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create a new SIM attribute

Adds an attribute to a SIM.

Attribute names cannot contain spaces. value can be an empty string, but not null.

post
Autorizações
AuthorizationstringObrigatório

An OAuth 2.0 client credentials access token, sent as Authorization: Bearer <token>.

Request the token from https://eseye-idp-prod.auth.eu-west-1.amazoncognito.com/oauth2/token using the client ID and client secret Eseye supplied. Tokens expire after one hour.

Parâmetros de rota
iccIdstringObrigatório

The ICC ID of the SIM.

Example: 8944500000000000123
Corpo
attributestringObrigatório

The name of the attribute to set.

Example: friendlyName
valuestringObrigatório

The value to set the attribute to.

Example: newFriendlyName
Respostas
200

The attribute was created.

application/json

A name/value pair attached to a SIM.

iccAttributeIdintegerOpcional

The unique identifier for the attribute.

Example: 27076369
iccIdstring · máx: 20Opcional

The SIM the attribute belongs to.

Example: 8944500000000000123
attributestring · máx: 48Opcional

The attribute name. Names cannot contain spaces.

Example: friendlyName
valuestring · máx: 255Opcional

The attribute value. Can be an empty string, but not null.

Example: 50kW rapid EV charger
statusstring · enumOpcional

Whether the record is still attached to its parent object.

ValueMeaning
activeThe record is attached to the parent object.
deletedThe record is no longer attached to the parent object.
Example: activeValores possíveis:
post/api/v2/sim/{iccId}/attribute
POST /api/v2/sim/{iccId}/attribute HTTP/1.1
Host: sim.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 54

{
  "attribute": "friendlyName",
  "value": "newFriendlyName"
}
{
  "iccAttributeId": 17992765,
  "iccId": "8944500000000000123",
  "attribute": "friendlyName",
  "value": "newFriendlyName",
  "status": "active"
}

Atualizado

Isto foi útil?